curl --request POST \
--url 'https://api.stateset.com/api/v1/purgatory/orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"channel_id": null,
"external_order_id": "string",
"external_status": null,
"items": [
{
"external_sku": "string",
"product_id": null,
"quantity": "string"
}
],
"metadata": {}
}'
{
"external_order_id": "string",
"external_status": null,
"id": "string",
"is_posted": true,
"items": [
{
"external_sku": "string",
"id": "string",
"ignore_item": true,
"non_physical": true,
"product_id": null,
"quantity": "string",
"resolved": true
}
],
"ready_to_post": true,
"unresolved_count": 1
}
Ingest
POST
/
api
/
v1
/
purgatory
/
orders
curl --request POST \
--url 'https://api.stateset.com/api/v1/purgatory/orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"channel_id": null,
"external_order_id": "string",
"external_status": null,
"items": [
{
"external_sku": "string",
"product_id": null,
"quantity": "string"
}
],
"metadata": {}
}'
{
"external_order_id": "string",
"external_status": null,
"id": "string",
"is_posted": true,
"items": [
{
"external_sku": "string",
"id": "string",
"ignore_item": true,
"non_physical": true,
"product_id": null,
"quantity": "string",
"resolved": true
}
],
"ready_to_post": true,
"unresolved_count": 1
}
Request body
IngestOrderRequest
string,null
string
required
string,null
IngestLineRequest[]
required
object
Responses
PurgatoryOrderResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/purgatory/orders' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"channel_id": null,
"external_order_id": "string",
"external_status": null,
"items": [
{
"external_sku": "string",
"product_id": null,
"quantity": "string"
}
],
"metadata": {}
}'
{
"external_order_id": "string",
"external_status": null,
"id": "string",
"is_posted": true,
"items": [
{
"external_sku": "string",
"id": "string",
"ignore_item": true,
"non_physical": true,
"product_id": null,
"quantity": "string",
"resolved": true
}
],
"ready_to_post": true,
"unresolved_count": 1
}
โI